Barth
Netterfield

    kst@kde.org

Rick
Chern

    kst@kde.org

2004
De Universiteit van Brits Columbia

# Handleiding voor &kst;

## Welkom

Welkom bij &kst;. Binnen enkele minuten bent u op weg de mooie eigenschappen van dit programma voor het plotten en manipuleren van gegevens te verkennen. Hier zijn slechts enkele van de taken die u kunt uitvoeren met &kst;:

- Het snel plotten van meerdere grafieken tegelijk met gebruik van alleen de opdrachtregel.

- Het analyseren van gegevens met behulp van een uitgebreide verzameling van gereedschappen waaronder histogrammen, energiespectra, en zelf gemaakte vergelijkingen.

- Het zonder moeite in- en uitzoomen op interessante gebieden in een plot met gebruik van of de muis of het toetsenbord

- Het direct volgen van binnenkomende gegevens ("live streaming data") met gebruik van de mogelijkheden die &kst; heeft om die gegevens direct te plotten.

In deze handleiding worden de beginselen besproken van het installeren van, het uitvoeren van en het werken met &kst;. Het is gebaseerd op de Snelle Rondleiding in &kst; van Barth Netterfield. U kunt elk moment andere eigenschappen zelf onderzoeken. Alle eigenschappen worden in de rest van dit Handboek gedocumenteerd.

## Het starten van &kst; vanaf de opdrachtregel

&kst; wordt veel gebruikt voor het snel vervaardigen, vanaf de opdrachtregel, van plots van gegevens. Voor het op deze manier vervaardigen van plots is haast geen kennis vereist van de grafische gebruikersinterface van &kst;, toch krijgt u zo onmiddellijk bruikbare resultaten.

In deze handleiding wordt een demo-pakket van gegevensbestanden gebruikt die samen met &kst; wordt geïnstalleerd in `$`KDEDIR`/share/apps/kst/tutorial`, waarin `$`KDEDIR`` de map is waarin &kde; op uw systeem is geïnstalleerd (u kunt deze vinden met de opdracht `kde-config --prefix`).

Als uw versie van &kst; ouder is dan 1.1.0 kunt u de gegevens die in deze handleiding worden gebruikt vinden op http://omega.astro.utoronto.ca/kst/tutorial/kst_tutorialdata.tgz. Haal deze op en pak dit pakket ("untar") uit, en ga naar de resulterende map:

    tar -zxvf kst_tutorialdata.tgz
    cd kst_tutorialdata

Om een overzicht te krijgen van alle beschikbare opdrachten in &kst; type:

    kst --help

U ziet dan een beschrijving van de syntaxis en een lijst van opdrachten, ongeveer als volgt (ik geef de beschrijvingen hier vertaald weer, vert.):

    Gebruik: kst [Qt-opties] [KDE-opties] [opties] [Bestanden]

    Kst: een programma voor het bekijken van gegevens.

    Algemene opties:
      --help                    Toon help voor opties
      --help-qt                 Toon opties voor Qt
      --help-kde                Toon opties voor KDE
      --help-all                Toon alle opties
      --author                  Toon informatie over auteur
      -v, --version             Toon informatie over versie
      --license                 Toon informatie over licentie
      --                        Eind van opties

    Opties:
      -F <dataFile>             Geef gegevensbestand op: gebruikt in plaats van een kst standaard bestand [|]
      -y <Y>                    Veld voor Y-as (meerdere toegestaan)
      --ye <equation>           Vergelijking voor Y-as (meerdere toegestaan)
      -e <E>                    Veld voor fouten in Y (meerdere toegestaan)
      -x <X>                    Veld of bereik voor X-as [INDEX]
      --xe <X>                  X-vector voor vergelijkingen x0:x1:n [INDEX]
      -p <Y>                    Veld voor energiespectrum (meerdere toegestaan)
      -h <Y>                    Veld voor histogram (meerdere toegestaan)
      -r <f>                    Bemonsteringsfrequentie voor energiespectrum [60.0]
      --ru <U>                  Eenheden psd bemonsteringsfrequentie [Hz]
      --yu <U>                  Eenheden voor y-vectoren [V]
      -l <P>                    Lengte van FFT's is 2^P [10]
      -f <F0>                   Eerste te lezen frame [-2]
      -n <NS>                   Aantal te lezen frames [-2]
      -s <NS>                   Aantal frames over te slaan bij elke keer lezen [-1]
      -a                        Pas boxcar-filter toe voor overslaan frames
      -m <NC>                   Scheid plots gerangschikt in <NC> kolommen
      -d                        Toon als punten in plaats van krommen
      -g                        Geef een legendavak
      --print <file>            Druk af in bestand en sluit af [<geen>]
      --png <file>              Sla op als png-bestand en sluit af [<geen>]

    Argumenten:
      Bestanden                     Gegevensbestanden (als -y gegeven) of *.kst-bestand

De voor &kst; specifieke opties worden opgesomd in de sectie `Options:`. Indien dit zo uitkomt worden de standaardwaarden weergegeven binnen vierkante haken achter de beschrijving van de opties—deze waarden zullen worden gebruikt voor alle niet gewijzigde opties.

We nemen eerst even het ASCII-bestand `gyrodata.dat`, dat in het demo-pakket zit, in beschouwing. ASCII-bestanden behoren tot de vele bestandstypen die door &kst; kunnen worden gelezen. In ASCII-bestanden zijn de gegevens gerangschikt in kolommen, waarbij elke kolom met een veld overeenkomt, en de kolomnummers (beginnend met 1 van links naar rechts) de veldnamen vertegenwoordigen. In dit ASCII-bestand zijn 3 kolommen aanwezig, dus met de veldnamen 1, 2 en 3. Om een plot te maken van de eerste kolom typt u eenvoudig:

    kst -y 1 gyrodata.dat

Alle gegevens in de eerste kolom worden nu geplot:

Merk op dat voor de X-as van de plot geen veld werd opgegeven, dus gebruikte &kst; hiervoor, zoals verwacht, de standaard INDEX-vector. De INDEX-vector is een speciale vector in &kst; die de gehele getallen bevat van 0 tot en met N-1, waarin N het aantal gegeven waarden is in de overeenkomende vector voor de Y-as. Sluit &kst; af met Afsluiten in het menu Bestand, of door Ctrl Q te typen.

`gyrodata.dat` bevat 20000 "frames" (in dit geval: regels met gegevens), dus misschien wilt u alleen maar een gedeelte ervan bekijken. Om slechts 10000 "frames" te plotten, vanaf "frame" 7000, typt u:

    kst -y 1 -f 7000 -n 10000 gyrodata.dat

Een van de sterke punten van &kst; is de mogelijkheid om direct nieuwe gegevens te plotten als ze binnenkomen. Stelt u zich voor dat nieuwe gegevens voortdurend worden toegevoegd aan het einde van `gyrodata.dat`. In zo'n geval zou het nuttig kunnen zijn alleen de meest recente gegevens te kunnen plotten. Om alleen de laatste 10000 "frames" van `gyrodata.dat` te plotten voert u het volgende in:

    kst -y 1 -n 10000 gyrodata.dat

Indien `gyrodata.dat` wordt bijgewerkt ("updated") zal de plot voortdurend alleen de laatste 10000 "frames" tonen.

In plaats van het direct inlezen van een invoerbestand kan &kst; ook de ASCII-gegevens gebruiken afkomstig van stdin (het toetsenbord). Om stdin op te geven als een invoer geeft u eenvoudig `stdin` op als een van de bestandsnamen. U kunt hiervan op vele manieren gebruik maken, zoals het opnemen van &kst; op in een serie "pipes":

    cat gyrodata.dat | awk '{print $1 + 2}' | kst -y 1 stdin

In de bovenstaande opdracht wordt de opdracht `awk` gebruikt om 2 op te tellen bij (elk getal in) kolom 1 van `gyrodata.dat` voordat het resultaat via de "pipe" wordt doorgegeven aan &kst;.

Merk op dat bij de beschrijving van de `y`-optie staat dat deze optie meerdere keren mag worden gebruikt. Hierdoor is het snel plotten van meerdere krommen mogelijk, en zelfs van meer dan een plot.Om alle drie velden in `gyrodata.dat` te plotten in aparte plots voert u het volgende in:

    kst -y 1 -y 2 -y 3 -m 1 gyrodata.dat

De optie `m` geeft aan dat verschillende plots moeten worden gemaakt, in plaats van een enkele plot, zoals hieronder is te zien:

## Een vlugge rondleiding in de Gegevensassistent

Hoewel het werken met &kst; vanaf de opdrachtregel snel en gemakkelijk is kunnen er situaties zijn waarin het invoeren van gegevens eenvoudiger gaat met de grafische gebruikersinterface—bijvoorbeeld als u &kst; al heeft draaien met andere ingelezen gegevens. Het kan ook zijn dat u domweg liever de grafische interface gebruikt. Door vertrouwd te zijn met beide manieren van het invoeren van gegevens kunt u efficiënter omgaan met &kst;.

Met de Gegevensassistent kunt u in &kst; snel en eenvoudig vectoren, krommen en plots maken van de gegevens in gegevensbestanden. Om de assistent te starten selecteert u Gegevensassistent... in het menu Gegevens of klikt u op de knop in de taakbalk. U zult worden gevraagd een gegevensbron te selecteren. Blader naar het bestand `gyrodata.dat` dat in de voorbeelden met de opdrachtregel is gebruikt en klik op Volgende. U ziet dan het volgende venster:

Gegevensassistent Scherm 2
Gegevensassistent Scherm 2

Links ziet u een lijst van de beschikbare velden in `gyrodata.dat`. U kunt in de lijst van gemarkeerde velden filteren door het invoeren van een passende karakterrij (inclusief jokertekens zoals `*`). Plaats vinkjes in de vakjes voor de velden 1, 2 en 3.

De sectie Gegevensbereik wordt gebruikt om het bereik op te geven van de gegevens die moeten worden gelezen uit de geselecteerde vectoren van het invoerbestand. In de volgende bespreking wordt kennis verondersteld van het begrip frames. Om kort te gaan, een "frame" bestaat gewoon uit een aantal gegevensmonsters, en elk gegevensbestand bestaat uit een aantal "frames". Voor een gedetailleerde beschrijving zie .

Beginframe, Tellen vanaf het einde, Aantal frames, en Lezen tot het einde

  Met deze vier instellingen kunnen de onder- en bovengrenzen van het gegevensbereik worden ingesteld. Selecteer bijvoorbeeld Tellen vanaf het einde en voer 10 000 in voor het Aantal frames waardoor alleen de laatste 10 000 frames zullen worden gelezen. Indien `gyrodata.dat` voortdurend wordt bijgewerkt zullen steeds de aanvullingen tot het einde van het bestand worden gelezen.

Lees 1 monster per N frames en Boxcar filter eerst

  Behalve de onder- en bovengrens kan ook het aantal monsters dat in het opgegeven bereik moet worden gelezen worden ingesteld. Indien niet Lees 1 monster per N frames is geselecteerd (met N het ingevoerde aantal) worden alle monsters in dit bereik gelezen. En anders kunnen frames in het gegevensbestand worden overgeslagen door Lees 1 monster per N frames te selecteren. Voorlopig deselecteren we Lees 1 monster per N frames.

De instellingen voor het Energiespectrum en de X-as kunnen worden opgegeven in de sectie Plottypes.

XY, Energiespectrum, en XY en Energiespectrum

  Selecteer XY en Energiespectrum voor zowel de plot van de gegevens zelf als die van het erbij behorende energiespectrum. Voor verdere informatie over de opties die beschikbaar zijn voor energiespectra zie .

X-as vector

  De vector die in de plots wordt gebruikt als de onafhankelijke vector (horizontale as). U kunt daarvoor een veld kiezen in uw gegevensbestand, of de INDEX-vector. Omdat er in `gyrodata.dat` geen X-as vector is laat u de keuze staan op INDEX.

De subsectie FFT-opties van de sectie Plottypen is alleen beschikbaar als er een energiespectrum moet worden geplot. In deze handleiding komen de details van energiespectra niet aan bod, dus gebruikt u in deze subsectie de standaard instellingen.

Als u tevreden bent met alle instellingen klikt u op Volgende om verder te gaan naar het volgende venster.

Gegevensassistent Scherm 3
Gegevensassistent Scherm 3

Hierin kunt u algemene plotinstellingen wijzigen. De meeste instellingen wijzen zich zelf. Selecteer 1 nieuwe plot per kromme bij Plaats van krommen en In nieuw venster bij Plaats van plots. Hierdoor worden alle zes plots (drie krommen en drie energiespectra) in het zelfde venster geplaatst.

Als u tevreden bent met alle instellingen klikt u op Afsluiten waarna de plots worden gegenereerd:

De gegenereerde plots
De gegenereerde plots

Omdat het heel wat werk kostte deze plots te maken willen we de huidige &kst;-sessie opslaan (deze wordt in het volgende deel van deze handleiding gebruikt). Selecteer Opslaan als... in het Bestand en bewaar de sessie als `mijnkstsessie.kst`:

Opslaan van een KST-sessie
Opslaan van een KST-sessie

Bij het opslaan van een &kst;-sessie worden alle plots, gegevensobjecten (die komen we later nog tegen) en indelingen opgeslagen die er zijn op het moment van opslaan.

Als het bestand is opgeslagen kunt u &kst; verlaten.

## De beginselen van het bewerken van plots

Nu dat u vertrouwd bent geraakt met het maken van plots in &kst; kunnen we enkele eigenschappen voor het bewerken van plots leren kennen die beschikbaar zijn in de grafische gebruikersinterface van &kst;. Start &kst; vanaf de opdrachtregel met het bestand `mijnkstsessie.kst` dat u eerder heeft opgeslagen:

    kst mijnkstsessie.kst

Alle plots die u eerder heeft gemaakt zouden nu in &kst; ingelezen moeten zijn. Bekijk de plot met bij de y-as de tekst `PSD [V/Hz^{1/2}]`. Om de plot beter te kunnen bekijken rechtsklikt u er op en selecteert u Maximaliseren zoals u hieronder kunt zien:

Een plot maximaliseren
Een plot maximaliseren

De plot is nu gemaximaliseerd in het huidige venster. Merk op dat aan de hoge kant van de x-as de grafiek bijna geheel vlak verloopt, zodat het nuttig zou zijn alleen dat gedeelte van de grafiek te bekijken dat interessant lijkt. Om dit te doen moet u er voor zorgen dat u in de XY muiszoommodus bent (selecteer XY muiszoom in het menu Plots of klik op ). Daarna trekt u eenvoudig een rechthoek rondom het gebied dat interessant lijkt. Merk op dat de coördinaten van de muisaanwijzer te zien zijn in de rechterbenedenhoek van het &kst;-venster (als dit niet het geval is zorgt u er voor dat Statusbalk tonen wordt aangevinkt in het menu Instellingen).

De plotassen passen zich aan bij het inzoomen naar het het geselecteerde gebied in de plot. U merkt misschien op dat er een piek is aan de linkerkant van het energiespectrum die hoger is dan de bovengrens van de nieuwe y-as. Stel dat u de top van deze piek wilt zien. Rechtsklik op de plot en selecteer Naar boven in het submenu Rollen. De plot moet nu naar boven rollen. Natuurlijk is het waarschijnlijk makkelijker om de sneltoets hiervoor te gebruiken, dit geldt voor de meeste van de zoom- en rolfuncties. In dit geval is de sneltoets de toets met het Pijltje naar boven. Om weer op elk gewenst moment terug te keren naar maximale zoom rechtsklikt u op de plot en selecteert u Zoom Maximum in het submenu Zoom (of u typt M, de sneltoets voor Zoom Maximum).

Herstel de grootte van de plot van het energiespectrum door op de plot te rechtsklikken en Maximaliseren ongedaan te maken.

Kijk nu naar de plots waarin bij de y-assen `Column 2` en `Column 3` (kolom 2 en kolom 3) staat. Dit zijn plots van de bewegingen om twee loodrecht op elkaar staande assen van BOOMERANG tijdens de vlucht in 1998. Omdat deze plots met elkaar verband houden kan het nuttig zijn deze tegelijk te zoomen en te rollen. Klik op de vierkantjes in de rechter bovenhoeken van de beide plots. Die moeten nu donker kleuren om aan te geven dat de beide plots nu met elkaar gekoppeld zijn:

Gekoppeld zoomen
Gekoppeld zoomen

Voordat we proberen in te zoomen moeten we alle plots wissen behalve de twee waarmee we werken. Selecteer Indelingsmodus in het menu Plots of klik op de knop in de taakbalk. Voor elke plot behalve de twee die we willen behouden rechtsklikt u op de plot en selecteert u Wissen. Daarna rechtsklikt u ergens in het huidige venster en selecteert u Basisindeling. Nu moeten de beide plots de maximale ruimte delen binnen het venster. Keer teug naar de XY muiszoommodus als u klaar bent.

Probeer nu in te zoomen in een of ander gedeelte van de bovenste plot. U zult merken dat de onderste plot leeg wordt. Dit komt omdat de plotassen in de onderste plot mee veranderd zijn in overeenstemming met die van de bovenste plotassen, en er geen gegevens voorkomen in dat speciale gebied van de onderste plot. Type M met de muiscursor boven een der beide plots om terug te keren naar maximum zoom in beide plots. Houd nu de Ctrl-toets in gedrukt (dit is gelijk aan het selecteren van X-muiszoommodus in het menu Plots of het klikken op de knop in de taakbalk). Hierdoor verandert de vorm van de muisaanwijzer als controle. Met ingedrukte Ctrl-toets trekt u een rechthoek in de bovenste plot. Merk op dat de hoogte van de gestippelde rechthoek begrensd wordt zodat alleen in de x-richting kan worden gezoomd. Nu ziet u in beide plots gegevens als erop wordt ingezoomd, omdat de y-as in beide plots nu niet is veranderd.

U kunt snel alle plots in het venster met elkaar koppelen of ontkoppelen door Gekoppeld zoom te selecteren in het menu Plots of door te klikken op de knop in de taakbalk.

Wanneer u klaar bent met het uitproberen van de zoom-eigenschappen kunt u &kst; afsluiten. U hoeft de plots nu niet op te slaan (maar het mag natuurlijk wel).

## Een kort overzicht van Gegevensobjecten

Met &kst; kan men meer doen dan alleen maar gegevens plotten en bekijken. Met de Gegevensassistent zag u al dat u met &kst; aan de hand van gegevens energiespectra kunt maken. In feite kan men met &kst; ook andere gegevensobjecten maken zoals histogrammen, vergelijkingen en "plugins". Een hulpprogramma met de naam Gegevensbeheer kan u helpen om alle gegevensobjecten die u maakt op een rijtje te zetten.

Start &kst; met het bestand `demo.kst` dat in het demopakket aanwezig is:

    kst demo.kst

Kst met demo.kst
Kst met demo.kst

In deze sessie met &kst; zijn vectoren en andere gegevensobjecten die gemaakt zijn met de gegevens in `gyrodata.dat` aanwezig (van de vlucht van de ballon voor grote hoogte Boomerang in 1998). De bovenste plot bevat de azimutgegevens in rood, de middelste de gegevens van de bewegingen om een van de dwarsscheepse assen ("pitch") in blauw, en de onderste plot toont hiervan het energiespectrum in blauw. Laat ons eerst de plots nader bekijken. Koppel de bovenste twee plots met de techniek die u in de vorige sectie heeft leren kennen. Houd daarna de Ctrl-toets ingedrukt om in de X-muiszoommodus te komen. Zoom nu in op een klein gebiedje in de bovenste plot (laten we zeggen van 50000 tot 53000), waardoor in beide plots wordt ingezoomd. U zult dan merken dat de "pitch"-kromme negatief is gecorreleerd met de rode van het azimut. Dit komt doordat de "pitch gyro" een klein beetje gedraaid was ten opzichte van de azimutale as (over -0,69 graden). De werkelijke "pitch" `p'` is: waarin `p` de originele "pitch" is, de rotatie is van de "pitch gyro" ten opzichte van de azimutale as, en `a` de gyro is van het azimut. `p'` wordt geplot als de zwarte kromme in de middelste plot. Het energiespectrum van `p'` is de zwarte kromme in de onderste plot.

Laat ons nu eens bekijken hoe deze drie plots werden gemaakt. Om de Gegevensbeheerder te openen selecteert u Gegevensbeheerder... in het menu Gegevens, of klikt u op de knop in de taakbalk:

De Gegevensbeheerder
De Gegevensbeheerder

In de Gegevensbeheerder is de volledige lijst aanwezig van de gegevensobjecten in de huidige &kst;-sessie. U kunt hier gegevensobjecten aanpassen of nieuwe gegevensobjecten maken. Zoals u ziet zijn er zes krommen (elk gemaakt van een tweetal vectoren), een vergelijking, twee energiespectra en vier gegevensvectoren in de lijst. Rechtsklik op C2-GY_PITCH en selecteer W1-P1 in het submenu Verwijderen uit plot. Hierdoor wordt de kromme uit plot P1 in het venster W1 verwijderd. Verwijder ook op dezelfde manier C-PSD2-V3-GY_PITCH uit plot P3 in venster W1. Nu moeten alleen de gecorrigeerde krommen te zien zijn in de plots:

Alleen de gecorrigeerde krommen
Alleen de gecorrigeerde krommen

Om te zien hoe de gecorrigeerde "pitch gyro" werd gemaakt, markeert u C4-cleaned_pitch en klikt u op de knop Bewerken. U moet nu de dialoog Vergelijking bewerken zien:

Vergelijking bewerken
Vergelijking bewerken

Merk op dat de vergelijking die werd gebruikt om `p'` te berekenen is ingevoerd in het tekstvak Vergelijking (`cos(-0,69)` (graden) is hier benaderd door 1). Experimenteer gerust met de instellingen in deze dialoog. Klik op OK (om wijzigingen op te slaan) of klik op Annuleren wanneer u klaar bent.

Merk op dat bij alle gegevensobjecten een getal staat in de kolom # Gebruikt. Dit getal is het aantal keren dat het gegevensobject wordt gebruikt door andere gegevensobjecten of in plots. Omdat we een kromme en een energiespectrum hebben verwijderd moet er in deze kolom bij ten minste twee gegevensobjecten een 0 staan. Klik op Opruimen om alle ongebruikte gegevensobjecten permanent te verwijderen.

Klik op Sluiten om de Gegevensbeheerder af te sluiten. U kunt als u dit wenst nu &kst; afsluiten.

## Een beschouwing van Plugins en Gebeurtenissen

We sluiten onze reis door &kst; af met het beschouwen van twee specifieke gegevenstypen—plugins en gebeurtenismonitoren.

Een plugin is een flexibel gegevensobject waarvan het gedrag geheel afhangt van het geselecteerde plugin-bestand. Het plugin-bestand kan deel uitmaken van het standaard &kst;-pakket, of het kan worden geleverd door derden. U vindt instructies hoe u zelf een plugin-bestand kunt schrijven en compileren in .. Met behulp van plugins kan &kst; welke bewerking dan ook uitvoeren op een verzameling van gegevens, omdat de enige eis waaraan een plugin-bestand moet voldoen is dat die als invoer heeft een verzameling van invoervectoren en -scalairen, en als uitvoer een verzameling van vectoren en scalairen.

Als voorbeeld zullen we trachten een rechte lijn aan te passen aan een kleine verzameling van gegevenspunten. Start &kst; met een plot van het eerste veld van het gegevensbestand `maxima.dat` dat is opgenomen in het demo-pakket:

    kst -y 1 -d maxima.dat

Met de optie `d` geeft u op dat alleen punten zullen worden geplot, en niet de verbindingslijntjes er tussen. U moet nu de plot van de gegevenspunten zien:

Plot van gegevenspunten
Plot van gegevenspunten

Open nu de Gegevensbeheerder. Klik op Plugin... in de sectie Nieuw om een nieuw Pluginobject te maken. Onder Pluginselectie selecteert u de plugin Lineaire aanpassing. Deze plugin heeft twee invoervectoren nodig—een met de x-waarden en een met de y-waarden van de gegevenspunten. Selecteer INDEX voor de Invoervector - X-rij, en 1 voor de Invoervector - Y-rij. Klik daarna op OK. U zult merken dat de nieuwe plugin hulpvectoren heeft gemaakt om daarin de uitvoervectoren op te slaan. Klik op Kromme... om een nieuwe kromme (is hier dus een rechte lijn) te maken voor de uitvoervectoren. Selecteer V1-INDEX voor de X-as vector en P1-kstfit_linear_unweighted-Y Fitted (P1-kstaanpassing_lineair_ongewogen-Y-aangepast) voor de Y-as vector. We willen de kromme bovenop de gegevenspunten plaatsen in de bestaande plot, dus in Plaats van kromme kiezen we Plaatsen in bestaande plot en deselecteren we Plaatsen in nieuwe plot. Tenslotte klikken we op OK om de nieuwe kromme te maken. Sluit de gegevensbeheerder om de aangepaste rechte lijn te bekijken:

Aangepaste rechte lijn
Aangepaste rechte lijn

Op de zelfde manier als zojuist kunt u de uitvoer van elk type pluginobject maken en plotten. Er bestaat echter een kortere manier voor het maken van pluginobjecten voor aanpassen. Na rechtsklikken op een plot ziet u een contextmenu met daarin het submenu Aanpassen.... Selecteren van een kromme in het submenu geeft u de dialoog Functie aanpassen waarin de x- en y-vectoren reeds zijn geselecteerd. Nadat de plugin voor het aanpassen is geselecteerd wordt na het klikken op OK het pluginobject gemaakt, de kromme wordt gemaakt van de uitvoervectoren van de plugin en de kromme wordt geplaatst bovenop de bestaande plot.

We bekijken nu gebeurtenissen. Gebeurtenisobjecten monitoren (volgen) gewoonlijk andere vectoren en scalairen en verrichten vastgestelde acties wanneer bepaalde condities met betrekking tot die vectoren of scalairen zich voordoen (waar worden). Klik op Gebeurtenismonitor... in de sectie Nieuw van de Gegevensbeheerder om een nieuwe gebeurtenis te maken:

Gebeurtenismonitor
Gebeurtenismonitor

Veronderstel dat de gegevens van de "pitch gyro" voortdurend worden ververst, en dat we willen worden gewaarschuwd zodra de gecorrigeerde "pitch gyro" buiten het interval `[-0,60, -0,40]` komt. Om de gebeurtenis op deze manier in te stellen typt u het volgende in het tekstvak van Expressie:

`[C4-cleaned_pitch-sv]>(-0.40) | [C4-cleaned_pitch-sv]<(-0.60)`

Merk op dat hierin elke expressie alleen een boolese expressie kan zijn (d.w.z. een expressie die alleen waar of onwaar als uitkomst kan hebben). In dit geval zal de expressie waar zijn wanneer een der beide ongelijkheden waar is. Selecteer zowel Log als en Bericht aan, en voer uw e-mailadres in rechts van het aankruisvakje van Bericht aan. Klik op OK, waarna de gebeurtenis wordt gemaakt.

Selecteer nu Kst debuggen... in het menu Help. Klik op het tabblad Log om de log te bekijken voor "debug". Als de gebeurtenis goed is ingesteld zouden hierin waarschuwingen moeten staan met de x-waarden waarvoor deze gebeurtenis geactiveerd werd. Controleer dat deze waarden ruwweg overeenkomen met de waarden die u verwacht aan de hand van de plot:

Debug log
Debug log

Als de gegevens voor de "pitch gyro" steeds zouden worden bijgehouden zodra zij zich voordoen behoort de gebeurtenismonitor ook geactiveerd worden als dat zo uitkomt met de nieuwe gegevens.

Als u klaar bent kunt u &kst; afsluiten.

## Slotopmerking

Hiermee is een einde gekomen aan de handleiding voor &kst;. Hopelijk heeft u voldoende kennis verworven om vertrouwd te zijn geworden met &kst;. Houd er wel rekening mee dat in deze handleiding niet alle mogelijkheden van &kst; aan bod zijn gekomen—er is nog veel meer om te onderzoeken en om mee te experimenteren. De rest van dit Handboek is een diepergaande gids voor concepten die variëren van de beginselen van het indelen van vensters tot het zelf maken van plugins en leesprogramma's voor gegevensbronnen. U wordt aangemoedigd &kst; op interessante en vernieuwende manieren te gebruiken—u zult waarschijnlijk ondervinden dat het programma niet alleen aan uw eisen en wensen tegemoet komt, maar dat u er zelfs meer mee kunt doen.